> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Glossary Item

## Description

This endpoint allows you to add a new glossary item for a specific language. The glossary item will be associated with the authenticated user and their organization. Resolve `language_id` using the [Get Languages](/vod/get-languages) endpoint (`GET /v2/languages/`) — each language includes a `language_id` field.


## OpenAPI

````yaml put /v1/glossary/
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/glossary/:
    put:
      tags:
        - glossary
      summary: Add Glossary Item
      operationId: add_glossary_item_v1_glossary__put
      parameters:
        - name: language_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Language Id
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_add_glossary_item_v1_glossary__put'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_add_glossary_item_v1_glossary__put:
      properties:
        items:
          type: string
          title: Items
      type: object
      required:
        - items
      title: Body_add_glossary_item_v1_glossary__put
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````